Description

The sky models have actually a double logic, with major spatial classes such as point source, extended models and diffuse models

that reflect themselves in the implementation of the GModelSky class. This is not really necessary.

GModelSky should therefore become a real class instead of an abstract class, and the derived classes GModelPointSource,

GModelExtendedSource and GModelDiffuseSource should be removed. The GModelSky::type method needs to be implemented for

this purpose, and the method should return the type string dependent on the spatial model type.

The spatial model type, implemented by the base class GModelSpatial should be declinated in the following derived classes:

GModelSpatialPointSource

GModelSpatialRadial

GModelSpatialElliptical

GModelSpatialDiffuse

The GModelSpatialPointSource is the existing GModelSpatialPtsrc class that simply needs to be renamed, all other classes are

abstract base classes from which the particular spatial models derived. Below a graphical representation of the new organization.

 

Subtasks:

Action # 763: Rework GModelSky class and remove formerly derived classes GModelPointSou... Closed

Action # 764: Reorganize spatial model classes Closed

History

#1 - 02/17/2013 01:15 PM - Knödlseder Jürgen

- File spatial-reorganisation.jpg added

- Description updated

#2 - 02/17/2013 04:03 PM - Knödlseder Jürgen

- Assigned To set to Knödlseder Jürgen

#3 - 02/17/2013 06:43 PM - Knödlseder Jürgen

- Due date set to 02/17/2013
- Start date set to 02/17/2013

due to changes in a related task

#4 - 02/17/2013 10:42 PM - Mayer Michael

That sounds like a good plan. The structure becomes more transparent.

#5 - 02/17/2013 11:43 PM - Knödlseder Jürgen

- File GModel-new.jpg added

- File GModelSpatial-new.jpg added

- Status changed from New to Feedback

The sky models have been reorganized. The new top level organization of GModel is shown below:

 

GModelSky is no longer abstract, the classes GModelPointSource, GModelExtendedSource and GModelDiffuseSource have been removed.

The new organization of the spatial component GModelSpatial is shown below:

 

Note that all classes have been renamed, so existing code needs to be adapted to the new naming scheme. All radial models derive now from

GModelSpatialRadial while all diffuse models derive from GModelSpatialDiffuse. The way is now open to implement elliptical models, starting with the

implementation of the GModelSpatialElliptical base class (see #755, and also #754).
#6 - 02/17/2013 11:48 PM - Knödlseder Jürgen

All code now in devel branch.

#7 - 12/14/2013 01:01 AM - Knödlseder Jürgen

- Status changed from Feedback to Closed

Files

spatial-reorganisation.jpg 108 KB 02/17/2013 Knödlseder Jürgen

GModel-new.jpg 33.2 KB 02/17/2013 Knödlseder Jürgen

GModelSpatial-new.jpg 69.8 KB 02/17/2013 Knödlseder Jürgen
